
$(function(){	
	$('.main_navlist .nav_parent > a').click(function(e){
		event.preventDefault();
		var $tgt = $(this).parent();
		if($tgt.hasClass('show')){
			$tgt.removeClass('show');
		}else{
			$tgt.addClass('show');
		}
	});
});


// JavaScript Document

//jQueryから実行する関数

//ページ内スクロール（n：目標のスクロール値, isHtmlScrollable：対象がhtmlかbodyかの判定用）
function wt_JQ_pageScroll( n , isHtmlScrollable ){
	$(isHtmlScrollable ? 'html' : 'body').animate({scrollTop: n}, 500);
	return true;
};

//トップに戻るボタンの制御関係のイベントを登録
function wt_JQ_pagetopBtnEvents( isHtmlScrollable ){
  
  btnElm = '#base_frame_pagetopbtn,#bnr_side_cpn';
  headerElm = '#base_frame_header';
  headerTitle = '#base_frame_header h2';
  
	$(window).scroll(
		function(){
			//ページの先頭に戻るボタンの振舞
			var myScr = $(this).scrollTop();
			if( myScr >= 50  ) {
				$(btnElm).addClass('wt_js_fadein');//ボタンにフェードインさせるclassを追加
				$(headerElm).addClass('wt_js_fadein');//ヘッダー背景にフェードインさせるclassを追加
				$(headerTitle).addClass('wt_js_fadein');
			} else {
				$(btnElm).removeClass('wt_js_fadein');//先のclassを削除
				$(headerElm).removeClass('wt_js_fadein');//先のclassを削除
				$(headerTitle).removeClass('wt_js_fadein');
			};
		}
	);
	$(document).on('click', btnElm, function(){
		wt_JQ_pageScroll( '0' , isHtmlScrollable );
	});
	return true;
};

//HTMLソースコード表示変換（デバック用）
/*
function WT_JQ_htmlCode( classDom ){
	var dom = $(classDom).not('.WT_JQ_converted');
	for( var i = 0; i < dom.length; i++ ){
		var theDom = dom.eq(i);
		theDom.html( theDom.html().replace(/</g,'&lt;').replace(/>/,'&gt;') );
		theDom.addClass( 'WT_JQ_converted' );
	}
	return true;
};
*/


jQuery(function(){
	var isHtmlScrollable = (
		function(){
			var html = $('html'), top = html.scrollTop();
			var elm = $('<div/>').height(10000).prependTo('body');
			html.scrollTop(10000);
			var rs = !!html.scrollTop();
			html.scrollTop(top);
			elm.remove();
			return rs;
		}
	)();
	
	//ページ上部に戻るボタン、ページのヘッダーを設定
	wt_JQ_pagetopBtnEvents( isHtmlScrollable );
		
	//ヘッダーメニュー開閉切り替え（マウス操作/タッチ操作兼用）
	//動作自体はbase_frame.cssで設定
/*
	$(document).on('click', '#base_frame_menutarget .wt_menuitem', 
		function(){
			$(this).find('.wt_menutrigger_sub').prop('checked',true);
			$(this).siblings().find('.wt_menutrigger_sub').prop('checked',false);
			$('#formopen_chk:checked').prop('checked',false);
		}
	);
	$(document).on('click','#base_frame_menutarget .trigger_tit',function(){
		if( $(this).closest('.wt_menuitem').find('input.wt_menutrigger_sub').prop('checked') ){
			setTimeout(function(){
        		$('#wt_menuitem_allclear').trigger('click');
    		},100);
		}
	});
	
	$(document).on('click',function(e) {
		if(!$(e.target).closest('#base_frame_menutarget').find('.wt_menuitem').length) {
			// ターゲット要素の外側をクリックした時の操作
			$('#base_frame_menutarget .wt_menuitem .wt_menutrigger_sub:checked').prop('checked',false);
		}
	});
*/

	/*
	$(document).on({
		mouseenter: function(){
		},
		mouseleave: function(){
			$(this).blur();
		}
	}, 'select');*/
	
	//リンクaタグの反応
	$(document).on({
		mouseenter: function(){
			$(this).addClass('hover');
		},
		mouseleave: function(){
			$(this).removeClass('hover');
		}
	},'a');
	
	//ページ内リンク（スクロールアニメーション）を実行
	//<a class="wt_pagescjmp" href="#***"></a>でリンク指定、対象は<a name="***"></a>で指定
	$(document).on('click','a.wt_pagescjmp',
		function(event){
			event.preventDefault();
			var ankerDom = $(this).attr( 'href' ).replace("#","");
			var ankerT = $( 'a[name="' + ankerDom + '"]' ).offset();
			wt_JQ_pageScroll( ankerT.top , isHtmlScrollable );
		}
	);
	
  $('a.smsc').click(function () {
  $(this).blur();
  var targetOffset = $($(this).attr('href')).offset().top-30;
  $('html,body').animate({scrollTop: targetOffset}, 300);
      return false;
  });
  
  
  /*蛇腹*/
		var $javara_tgt = $('._javara > *:first-child');
  	
    $javara_tgt.append("<span>+</span>");
		
		$javara_tgt.click(function(){
			$(this).next().slideToggle();
		});
		
  
	/*$( window ).on('resize',
		function(){
			//ヘッダー固定時にヘッダーの高さ分をもとにページアンカー、本文スペースを調整する
			if( $('body').is('#wt_headerfixed') ){
				var h = $('#base_frame_header').height();
				$('#base_frame_pagemain').css({ 'margin-top': h + 'px' } );
				$('#base_frame_pagemain a.wt_anker').css({ 'top': ( h * -1 ) + 'px' } );  
			}
		}
	);*/
	
	/*jQuery.event.add(window,"load",
		function(){
			$( window ).trigger('resize');
		}
	);*/
	
});